# eric6.Plugins.VcsPlugins.vcsSubversion.SvnTagBranchListDialog

Module implementing a dialog to show a list of tags or branches.

### Global Attributes

None

### Classes

SvnTagBranchListDialog | Class implementing a dialog to show a list of tags or branches.

### Functions

None

## SvnTagBranchListDialog

Class implementing a dialog to show a list of tags or branches.

### Derived from

QDialog, Ui_SvnTagBranchListDialog

### Class Attributes

None

### Class Methods

None

### Methods

SvnTagBranchListDialog | Constructor
__finish | Private slot called when the process finished or the user pressed the button.
__generateItem | Private method to generate a tag item in the taglist.
__procFinished | Private slot connected to the finished signal.
__readStderr | Private slot to handle the readyReadStderr signal.
__readStdout | Private slot to handle the readyReadStdout signal.
__resizeColumns | Private method to resize the list columns.
__resort | Private method to resort the tree.
closeEvent | Protected slot implementing a close event handler.
keyPressEvent | Protected slot to handle a key press event.
on_buttonBox_clicked | Private slot called by a button of the button box clicked.
on_input_returnPressed | Private slot to handle the press of the return key in the input field.
on_passwordCheckBox_toggled | Private slot to handle the password checkbox toggled.
on_sendButton_clicked | Private slot to send the input to the subversion process.
start | Public slot to start the svn status command.

### Static Methods

None

#### SvnTagBranchListDialog (Constructor)

SvnTagBranchListDialog(vcs, parent=None)

Constructor

vcs
  reference to the vcs object
parent
  parent widget (QWidget)

#### SvnTagBranchListDialog.__finish

__finish()

Private slot called when the process finished or the user pressed the button.

#### SvnTagBranchListDialog.__generateItem

__generateItem(revision, author, date, name)

Private method to generate a tag item in the taglist.

revision
  revision string (string)
author
  author of the tag (string)
date
  date of the tag (string)
name
  name (path) of the tag (string)

#### SvnTagBranchListDialog.__procFinished

__procFinished(exitCode, exitStatus)

Private slot connected to the finished signal.

exitCode
  exit code of the process (integer)
exitStatus
  exit status of the process (QProcess.ExitStatus)

#### SvnTagBranchListDialog.__readStderr

__readStderr()

Private slot to handle the readyReadStderr signal.

It reads the error output of the process and inserts it into the error pane.

#### SvnTagBranchListDialog.__readStdout

__readStdout()

Private slot to handle the readyReadStdout signal.

It reads the output of the process, formats it and inserts it into the contents pane.

#### SvnTagBranchListDialog.__resizeColumns

__resizeColumns()

Private method to resize the list columns.

#### SvnTagBranchListDialog.__resort

__resort()

Private method to resort the tree.

#### SvnTagBranchListDialog.closeEvent

closeEvent(e)

Protected slot implementing a close event handler.

e
  close event (QCloseEvent)

#### SvnTagBranchListDialog.keyPressEvent

keyPressEvent(evt)

Protected slot to handle a key press event.

evt
  the key press event (QKeyEvent)

#### SvnTagBranchListDialog.on_buttonBox_clicked

on_buttonBox_clicked(button)

Private slot called by a button of the button box clicked.

button
  button that was clicked (QAbstractButton)

#### SvnTagBranchListDialog.on_input_returnPressed

on_input_returnPressed()

Private slot to handle the press of the return key in the input field.

#### SvnTagBranchListDialog.on_passwordCheckBox_toggled

on_passwordCheckBox_toggled(isOn)

Private slot to handle the password checkbox toggled.

isOn
  flag indicating the status of the check box (boolean)

#### SvnTagBranchListDialog.on_sendButton_clicked

on_sendButton_clicked()

Private slot to send the input to the subversion process.

#### SvnTagBranchListDialog.start

start(path, tags, tagsList, allTagsList)

Public slot to start the svn status command.

path
  name of directory to be listed (string)
tags
  flag indicating a list of tags is requested (False = branches, True = tags)
tagsList
  reference to string list receiving the tags (list of strings)
allTagsList
  reference to string list all tags (list of strings)

Up